html {
  scroll-behavior: smooth;
}

html,
body {
  margin: 0;
  padding: 0;
}

:root {
  font-size: 1vw;
}

@media (max-width: 768px) {
  :root {
    font-size: 2.5vw;
  }
}

* {
  box-sizing: border-box;
}

#a-propos,
#activites,
#secteurs,
#contacts {
  scroll-margin-top: 4rem;

  @media (max-width: 768px) {
    scroll-margin-top: 5.5rem;

  }
}

h1,
h2,
h3 {
  margin: 0;
  color: white;
  font-weight: bold;
  text-shadow: 1px 1px 3px rgba(0, 0, 0, 0.5);
}

h1 {
  font-size: 6rem;
}

h2 {
  font-size: 2.5rem;
}

h3 {
  font-size: 1.7rem;
}

img {
  border-radius: 8px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}

p {
  line-height: 1.5;
  font-weight: bold;
  color: rgb(5, 40, 18);
  margin: 0.3rem;
}

.bar {
  min-height: 4rem;
  width: 100%;
  background-color: rgb(36 88 42);
  border-bottom: 1px solid white;
}

.navbar {
  position: fixed;
  top: 0;
  left: 0;
  color: white;
  padding: 1rem 1rem;
  transform: translateY(-100%);
  transition:
    opacity 0.3s ease,
    transform 0.3s ease;
  display: flex;
  align-items: center;
  gap: 0.5rem;
  z-index: 2000;
  height: fit-content;

  @media (max-width: 768px) {
    flex-direction: column;
    justify-content: center;
    width: 100%;
  }

  &.visible {
    transform: translateY(0);
  }

  .navbar-header {
    display: flex;
    align-items: center;

    @media (max-width: 768px) {
      width: 100%;
      justify-content: space-between;
    }

    .navbar-titre {
      display: flex;
      align-items: center;
      gap: 0.5rem;
      text-decoration: none;

      h3 {
        @media (max-width: 768px) {
          font-size: 2rem;
        }
      }

      img {
        width: 2rem;
        height: 2rem;
        box-shadow: none;

        @media (max-width: 768px) {
          width: 3.5rem;
          height: 3.5rem;
        }
      }
    }
  }

  .navbar-content {
    flex: 1;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 2rem;

    @media (max-width: 768px) {
      flex: 0;
      display: none;
      flex-direction: column;
    }

    a {
      color: white;
      text-decoration: none;
      font-size: 1rem;
      font-weight: bold;
      text-shadow: 1px 1px 3px rgba(0, 0, 0, 0.5);

      @media (max-width: 768px) {
        font-size: 1.3rem;
      }
    }
  }

  .hamburger {
    display: none;

    @media (max-width: 768px) {
      display: block;
      padding: 0.5rem;

      .hamburger-box {
        width: 25px;
      }
    }

    .hamburger-inner,
    ::before,
    ::after {
      background-color: white !important;
      width: 25px !important;
      height: 3px !important;
    }
  }
}


.landing-page {
  padding: 0rem 1rem;
  width: 100%;
  min-height: 100vh;
  background-image: url('/assets/images/landing-page.jpg');
  background-size: cover;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  gap: 1rem;
  border-bottom: 1px solid white;

  h1,
  h2 {
    text-align: center;
  }
}

.entete-a-propos,
.entete-secteur-intervention {
  display: flex;
  align-items: center;

  h2 {
    margin-left: 2rem;
  }
}

.contenu-a-propos,
.contenu-secteur-intervention {
  @media (max-width: 768px) {
    flex-wrap: wrap;
  }

  display: flex;
  align-items: center;
  justify-content: center;
  gap: 2rem;
  padding: 2rem;

  p {
    font-size: 1.7rem;
    margin: 1rem;
  }

  .secteur-intervention {
    width: 55%;

    @media (max-width: 768px) {
      width: auto;
    }
  }

  #map {
    height: 25rem;
    width: 40%;

    @media (max-width: 768px) {
      width: 100%;
      height: 35rem;
    }
  }

  img {
    @media (max-width: 768px) {
      margin-right: 0 !important;
    }

    width: 20rem;
    margin-right: 6rem;
  }
}

.activites {
  display: flex;
  flex-direction: column;
  padding: 2rem;
  background-color: rgb(212 233 207);
  gap: 2rem;

  h2 {
    color: rgb(5 40 18);
  }

  .liste-activites {
    display: flex;
    gap: 2rem;

    @media (max-width: 768px) {
      flex-wrap: wrap;
    }

    .activite {
      @media (max-width: 768px) {
        width: 100% !important;
      }

      display: flex;
      flex-direction: column;
      align-items: center;
      justify-content: space-between;
      width: 50%;

      .activite-description {
        display: flex;
        flex-direction: column;
      }

      img {
        width: 15rem;
      }

      h3 {
        color: rgb(5 40 18);
      }

      p {
        font-size: 1.2rem;
      }

      div {
        display: flex;
        gap: 1rem;
      }
    }
  }
}

.footer {
  background-color: rgb(212 233 207);

  display: flex;
  flex-direction: column;
  gap: 1rem;
  padding: 2rem;
  padding-bottom: 0;
  align-items: center;
  width: 100%;

  h2 {
    color: rgb(5 40 18);
  }

  .footer-contenu {
    @media (max-width: 768px) {
      flex-wrap: wrap;
    }

    display: flex;
    justify-content: center;
    gap: 2rem;
    width: 100%;

    .contact {
      @media (max-width: 768px) {
        width: 100% !important;
        align-items: center;
      }

      display: flex;
      flex-direction: column;
      align-items: center;
      justify-content: space-evenly;
      gap: 1rem;
      width: 50%;
    }

    .atouts {
      @media (max-width: 768px) {
        width: 100% !important;
      }

      display: flex;
      width: 50%;
      justify-content: center;
      align-items: center;

      ul {
        li {
          @media (max-width: 768px) {
            line-height: 1;
          }

          color: rgb(5 40 18);
          font-size: 1.7rem;
          line-height: 2;
          font-weight: bold;
          color: rgb(5, 40, 18);
        }
      }
    }

    img {
      width: 20rem;
      margin-right: 1rem;
    }
  }

  .credit {
    display: flex;
    width: 100%;
    justify-content: end;
  }
}